#include "chanorg.h"
#include "chan-menu.h"

cPluginChanOrg *pChanOrg;

void cPluginChanOrg::Debug(void)
{
	cChannel *chan=pChanOrg->OrgChans.First();
		fprintf(stderr,"Chaine Index %i %s\n",chan->Index(),chan->Name());
	while ((chan=pChanOrg->OrgChans.Next(chan)))
	{
		fprintf(stderr,"Chaine Index %i %s\n",chan->Index(),chan->Name());
	}
}

cPluginChanOrg::cPluginChanOrg(void)
{
   ReDraw=false;
}

cPluginChanOrg::~cPluginChanOrg(void)
{
}

bool cPluginChanOrg::Initialize(void)
{
#if APIVERSNUM < 10507
	RegisterI18n(Phrases);
#endif
	return true;
}

const char *cPluginChanOrg::CommandLineHelp(void)
{
	return NULL;
}

bool cPluginChanOrg::ProcessArgs(int argc, char *argv[])
{
	return true;
}

bool cPluginChanOrg::Start(void)
{
	return true;
}

cOsdObject *cPluginChanOrg::MainMenuAction(void)
{
		return new cChanOrgMenu;
}

VDRPLUGINCREATOR(cPluginChanOrg);
